%define modname		Log-TraceMessages
%define modversion	1.3
%define modrelease	1mdk

Requires:	perl
Summary:	Log::TraceMessages Perl Module
License:	GPL/Artistic

#
# Usually, the only thing you need to change below is the %description tag
#

Name:		perl-%{modname}
Version:	%{modversion}
Release:	%{modrelease}
Group:		Development/Perl
Url:		http://www.cpan.org
Source:		%{modname}-%{modversion}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	perl-devel
BuildRequires:	perl-HTML-FromText
BuildArch:	noarch


%description
Log::TraceMessages

This module is a better way of putting 'hello there' trace messages in
your code.  It lets you turn tracing on and off without commenting out
trace statements, and provides other useful things like HTML-ified
trace messages for CGI scripts and an easy way to trace out data
structures using Data::Dumper.

From the pod documentation:

  use Log::TraceMessages qw(t d);
    $Log::TraceMessages::On = 1;
    t 'got to here';
    t 'value of $a is ' . d($a);
    {
        local $Log::TraceMessages::On = 0;
        t 'this message will not be printed';
    }

    # For a CGI program producing HTML
    $Log::TraceMessages::CGI = 1;

    # Or to turn on trace if there's a command-line argument '--trace'
    Log::TraceMessages::check_argv();

This is free software and you may distribute it under the same terms
as perl itself.  There is no warranty.

Authors:
--------
    Ed Avis <epa98@doc.ic.ac.uk>

%prep
%setup -n %{modname}-%{modversion} -q

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}
make test

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/Log/TraceMessages.pm
%{perl_vendorlib}/auto/Log/TraceMessages/autosplit.ix
%{_mandir}/*/*

%changelog
* Sat Nov 29 2003 Stefan van der Eijk <stefan@eijk.nu> 1.3-1mdk
- 1.3

* Wed Apr 09 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 1.1-1mdk
- Rebuilt for Mandrake 9.1

* Thu May 30 2002 - James Oakley <jfunk@funktronics.ca>
- Initial build with new spec layout
